wai-extra-3.1.13.0: Provides some basic WAI handlers and middleware.

Copyright | Michael Snoyman
License | BSD3
Maintainer | Michael Snoyman <michael@snoyman.com>
Stability | Unstable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.Wai.Middleware.HealthCheckEndpoint

Description

Add empty endpoint (for Health check tests)

Synopsis

- healthCheck :: Middleware
- voidEndpoint :: ByteString -> Middleware

# Documentation

healthCheck :: Middleware Source #

Add empty endpoint (for Health check tests) called "/_healthz"

Since: 3.1.9

voidEndpoint :: ByteString -> Middleware Source #

Add empty endpoint

Since: 3.1.9